Messages
Get messages from a topic
Get messages from a topic
GET
/
admin
/
v1
/
topics
/
{topicName}
/
messages
Get messages from a topic
curl --request GET \
--url https://api.example.com/admin/v1/topics/{topicName}/messagesimport requests
url = "https://api.example.com/admin/v1/topics/{topicName}/messages"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/admin/v1/topics/{topicName}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/v1/topics/{topicName}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/v1/topics/{topicName}/messages"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/admin/v1/topics/{topicName}/messages")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/v1/topics/{topicName}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"type": "PHASE",
"message": {
"partition": 123,
"offset": 123,
"timestamp": "2023-11-07T05:31:56Z",
"timestampType": "NO_TIMESTAMP_TYPE",
"key": "<string>",
"headers": {},
"content": "<string>",
"keyFormat": "AVRO",
"valueFormat": "AVRO",
"keySize": 123,
"valueSize": 123,
"keySchemaId": "<string>",
"valueSchemaId": "<string>",
"headersSize": 123,
"keySerde": "<string>",
"valueSerde": "<string>",
"keyDeserializeProperties": {},
"valueDeserializeProperties": {}
},
"phase": {
"name": "<string>"
},
"consuming": {
"bytesConsumed": 123,
"elapsedMs": 123,
"isCancelled": true,
"messagesConsumed": 123,
"filterApplyErrors": 123
}
}
]Query Parameters
Was this page helpful?
⌘I
Get messages from a topic
curl --request GET \
--url https://api.example.com/admin/v1/topics/{topicName}/messagesimport requests
url = "https://api.example.com/admin/v1/topics/{topicName}/messages"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/admin/v1/topics/{topicName}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/v1/topics/{topicName}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/v1/topics/{topicName}/messages"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/admin/v1/topics/{topicName}/messages")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/v1/topics/{topicName}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"type": "PHASE",
"message": {
"partition": 123,
"offset": 123,
"timestamp": "2023-11-07T05:31:56Z",
"timestampType": "NO_TIMESTAMP_TYPE",
"key": "<string>",
"headers": {},
"content": "<string>",
"keyFormat": "AVRO",
"valueFormat": "AVRO",
"keySize": 123,
"valueSize": 123,
"keySchemaId": "<string>",
"valueSchemaId": "<string>",
"headersSize": 123,
"keySerde": "<string>",
"valueSerde": "<string>",
"keyDeserializeProperties": {},
"valueDeserializeProperties": {}
},
"phase": {
"name": "<string>"
},
"consuming": {
"bytesConsumed": 123,
"elapsedMs": 123,
"isCancelled": true,
"messagesConsumed": 123,
"filterApplyErrors": 123
}
}
]